DefaultXaRecoveryLog (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.recovery.xa

## Class DefaultXaRecoveryLog

- java.lang.Object
- - com.atomikos.recovery.xa.DefaultXaRecoveryLog

- All Implemented Interfaces:
    XaRecoveryLog

      public class DefaultXaRecoveryLog
      extends java.lang.Object
      implements XaRecoveryLog

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultXaRecoveryLog(RecoveryLog log, long expirationForPresumedAbort)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<XID>` | `getExpiredCommittingXids()`
    `void` | `presumedAborting(XID xid)` Notifies the log that recovery is about to rollback a pending xid according to the "presumed abort" paradigm.
    `void` | `terminated(XID xid)` Notifies the log that recovery has terminated a pending xid.
    `void` | `terminatedWithHeuristicCommitByResource(XID xid)`
    `void` | `terminatedWithHeuristicHazardByResource(XID xid)`
    `void` | `terminatedWithHeuristicMixedByResource(XID xid)`
    `void` | `terminatedWithHeuristicRollbackByResource(XID xid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultXaRecoveryLog

          public DefaultXaRecoveryLog(RecoveryLog log,
                              long expirationForPresumedAbort)

  - ### Method Detail

    - #### presumedAborting

          public void presumedAborting(XID xid)
                                throws java.lang.IllegalStateException,
                                       LogException

      Description copied from interface: `XaRecoveryLog`
      Notifies the log that recovery is about to rollback a pending xid according to the "presumed abort" paradigm. This method fails if:
      - The xid is currently COMMITTING in the log, OR
      - The xid is still PREPARING but not yet expired at the moment this method is called
      Specified by:
        `presumedAborting` in interface `XaRecoveryLog`
      Throws:
        `java.lang.IllegalStateException` - If the state precondition is not satisfied.
        `LogException`

    - #### terminated

          public void terminated(XID xid)

      Description copied from interface: `XaRecoveryLog`
      Notifies the log that recovery has terminated a pending xid. Due to concurrent OLTP commit or rollback, the xid may no longer be known in the log. In that case, calling this method does nothing.
      Specified by:
        `terminated` in interface `XaRecoveryLog`

    - #### getExpiredCommittingXids

          public java.util.Set<XID> getExpiredCommittingXids()
                                                      throws LogReadException

      Specified by:
        `getExpiredCommittingXids` in interface `XaRecoveryLog`
      Throws:
        `LogReadException`

    - #### terminatedWithHeuristicHazardByResource

          public void terminatedWithHeuristicHazardByResource(XID xid)
                                                       throws LogException

      Specified by:
        `terminatedWithHeuristicHazardByResource` in interface `XaRecoveryLog`
      Throws:
        `LogException`

    - #### terminatedWithHeuristicCommitByResource

          public void terminatedWithHeuristicCommitByResource(XID xid)
                                                       throws LogException

      Specified by:
        `terminatedWithHeuristicCommitByResource` in interface `XaRecoveryLog`
      Throws:
        `LogException`

    - #### terminatedWithHeuristicMixedByResource

          public void terminatedWithHeuristicMixedByResource(XID xid)
                                                      throws LogException

      Specified by:
        `terminatedWithHeuristicMixedByResource` in interface `XaRecoveryLog`
      Throws:
        `LogException`

    - #### terminatedWithHeuristicRollbackByResource

          public void terminatedWithHeuristicRollbackByResource(XID xid)
                                                         throws LogException

      Specified by:
        `terminatedWithHeuristicRollbackByResource` in interface `XaRecoveryLog`
      Throws:
        `LogException`

Copyright © 2018. All Rights Reserved.